> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Positions

> Retrieve current position information for all trading instruments or a specific symbol.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/positions
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/positions:
    get:
      tags:
        - Positions
      summary: Get Positions
      description: >-
        Retrieve current position information for all trading instruments or a
        specific symbol.
      operationId: get_v1-positions-95189f841303355f618eeb2c9ffdac90
      parameters:
        - name: instType
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/InstrumentType'
        - name: symbol
          in: query
          required: true
          schema:
            type: string
        - name: unit
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/BtcUnits'
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ApiResponse_for_GetPositionsGaywayResponse
      deprecated: false
components:
  schemas:
    InstrumentType:
      type: string
      enum:
        - perpetual
        - spot
        - btc
        - digital
        - stock
        - index
    BtcUnits:
      type: string
      enum:
        - sats
        - btc
    ApiResponse_for_GetPositionsGaywayResponse:
      title: ApiResponse_for_GetPositionsGaywayResponse
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/GetPositionsGaywayResponse'
        error:
          type: boolean
    GetPositionsGaywayResponse:
      type: object
      required:
        - positions
      properties:
        positions:
          type: array
          items:
            $ref: '#/components/schemas/Position'
    Position:
      type: object
      required:
        - accountId
        - adlRank
        - avgEntry
        - createdAt
        - entryAmount
        - entryFees
        - exitAmount
        - id
        - initialMargin
        - instrumentId
        - leverage
        - liquidationPrice
        - maintenanceMarginRatio
        - margin
        - openDate
        - side
        - size
        - status
        - unit
        - updatedAt
      properties:
        accountId:
          type: string
          format: uuid
        adlRank:
          type: integer
          format: uint32
          minimum: 0
        avgEntry:
          type: string
        avgExit:
          type: string
          nullable: true
        closeDate:
          type: integer
          format: int64
          nullable: true
        createdAt:
          type: integer
          format: int64
        entryAmount:
          type: string
        entryFees:
          type: string
        exitAmount:
          type: string
        exitFees:
          type: string
          nullable: true
        id:
          type: string
          format: uuid
        initialMargin:
          type: string
        instrumentId:
          type: string
          format: uuid
        leverage:
          type: string
        liquidationPrice:
          type: string
        maintenanceMarginRatio:
          type: string
        margin:
          type: string
        openDate:
          type: integer
          format: int64
        side:
          $ref: '#/components/schemas/PositionSide'
        size:
          type: string
        status:
          $ref: '#/components/schemas/PositionStatus'
        stopLossOrderId:
          type: string
          format: uuid
          nullable: true
        takeProfitOrderId:
          type: string
          format: uuid
          nullable: true
        unit:
          $ref: '#/components/schemas/BtcUnits'
        updatedAt:
          type: integer
          format: int64
    PositionSide:
      type: string
      enum:
        - long
        - short
    PositionStatus:
      type: string
      enum:
        - normal
        - liq
        - adl
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````